﻿@{
    ViewBag.Title = "Study JLPT";
    Layout = "~/Views/Shared/_Layout.cshtml";
}
<style>
    .show_Info {
        cursor: pointer;
    }

    .main_form {
        margin-top: 50px;
        padding: 20px;
        border-radius: 10px 10px 10px 10px;
        -webkit-box-shadow: 10px 10px 5px 0px rgba(0,0,0,0.75);
        -moz-box-shadow: 10px 10px 5px 0px rgba(0,0,0,0.75);
        box-shadow: 10px 10px 5px 0px rgba(0,0,0,0.75);
        background: #ADA996;
        background: -webkit-linear-gradient(to left, #EAEAEA, #DBDBDB, #F2F2F2, #ADA996);
        background: linear-gradient(to left, #EAEAEA, #DBDBDB, #F2F2F2, #ADA996);
    }
</style>

<div class="container">
    <div class="row">
        <div class="col-md-4"></div>
        <div class="col-md-4 main_form">
            @*<h4 id="status">DataExcelModel</h4>*@
            <input type="hidden" id="preList" name="preList" value="">
            <h1 id="kanji_char" class="show_Info"></h1>
            <h1 id="vn_char" hidden></h1>
            <h1 id="jp_char" hidden></h1>
            <button id="btnPrev" class="btn btn-primary">Preview</button>
            <button id="btnNext" class="btn btn-primary">Next</button>
        </div>
        <div class="col-md-4"></div>
    </div>
</div>
<script>
    $(document).ready(function () {
        $("#btnPrev").attr("disabled", true);
        $.ajax({
            type: "GET",
            dataType: "json",
            url: "/api/kanji",
            contentType: "application/json; charset=utf-8",
            success: function () {
                GetRandomCharacterAjax();
            },
            error: function (xhr, status, error) {
                alert(error);
            }
        });
    });
    $('#btnNext').click(function () {
        GetRandomCharacterAjax();
        $("#btnPrev").removeAttr("disabled", true);
    });

    $('#btnPrev').click(function () {
        GetPrevCharacter();
    });

    $('#kanji_char').click(function () {
        $("#vn_char").toggle(100);
        $("#jp_char").toggle(100);

    });


    function GetRandomCharacterAjax() {
        $.ajax({
            type: "GET",
            dataType: "json",
            url: "/api/kanji/RandomCharacter",
            contentType: "application/json; charset=utf-8",
            success: function (data) {
                $("#kanji_char").text(data["kanjiChar"]);
                $("#vn_char").text(data["vnChar"]);
                $("#jp_char").text(data["jpChar"]);
                $("#vn_char").hide();
                $("#jp_char").hide();
                $("#preList").val(data["previewList"]);
            },
            error: function (xhr, status, error) {
                alert(error);
            }
        });
    }

    function GetPrevListAjax() {
        $.ajax({
            type: "GET",
            dataType: "json",
            url: "/api/Session/GetSession?key=previewList",
            contentType: "application/json; charset=utf-8",
            success: function (data) {
                $("#preList").val(data);
            },
            error: function (xhr, status, error) {
                alert(error);
            }
        });
    }

    function GetPrevCharacter() {
        $.ajax({
            type: "GET",
            dataType: "json",
            url: "/api/kanji/PreviewCharacter",
            contentType: "application/json; charset=utf-8",
            success: function (data) {
                $("#kanji_char").text(data["kanjiChar"]);
                $("#vn_char").text(data["vnChar"]);
                $("#jp_char").text(data["jpChar"]);
                $("#vn_char").hide();
                $("#jp_char").hide();
                $("#preList").val(data["previewList"]);
                if ($('#preList').val().split(",").length <= 1) {
                    $("#btnPrev").attr("disabled", true);
                }
            },
            error: function (xhr, status, error) {
                alert(error);
            }
        });
    }

</script>
